unit BassVideo_Cryptor;

interface

uses Windows, BassVideo, Classes;

type TCB = procedure (current, total : int64); stdcall;

function BassVideo_Cryptor_StreamCreateFile(AVI : BOOL; fin : PWideChar;Flags, BassFlags : DWORD; CallBackProc : VIDEOPROC; password : PChar) : DWORD; stdcall; external 'BassVideo_Cryptor.dll';
function Encrypt_File(filename : PWideChar; outputfile : PWideChar; key : PChar; callback : Pointer): Boolean; stdcall; external 'BassVideo_Cryptor.dll';
function Encrypt_File2(fin, fout : TStream; key : PChar; callback : Pointer): Boolean; stdcall; external 'BassVideo_Cryptor.dll';
function Decrypt_File(filename : PWideChar; outputfile : PWideChar; key : PChar; callback : Pointer): Boolean; stdcall; external 'BassVideo_Cryptor.dll';
function Decrypt_File2(fin, fout : TStream; key : PChar; callback : Pointer): Boolean; stdcall; external 'BassVideo_Cryptor.dll';

implementation

end.



